##########################################################
#
#	@autor:			Manuel Saxer FHNW
#	@date:			25. Mai 2011
#	@filename:		dSS_install
#
#	
#
#	source-sink: http://developer.digitalstrom.org/redmine/projects/dss/wiki/How_to_build_the_dSS
#	
#	Hints:	In some commands you will find the expression "scientist". 
#			To run this file on your system, you need to replace it with "your-system-name". 
#			
#			To immplement this File you need to be logged in as root
#		
#
##########################################################


cd /home/scientist							
mkdir dss
cd /home/scientist/dss


#necessary packages install
sudo apt-get install git-core \
    cmake \
    libxml2-dev \
    libical-dev \
    libpoco-dev \
    libboost-system-dev \
    libboost-filesystem-dev \
    libboost-thread-dev \
    libboost-program-options-dev \
    libboost-test-dev \
    xulrunner-dev \
    libssl-dev \
    python-lxml \
    doxygen \
    g++


wget http://developer.digitalstrom.org/files/contrib/gsoap_2.7.15-1_i386.deb
sudo dpkg -i gsoap_2.7.15-1_i386.deb

#Tools for building website
#sudo apt-get install rubygems
#sudo gem install rake sprockets
#echo 'export PATH=$PATH:/var/lib/gems/1.8/bin/' >> ~/.bashrc
#source ~/.bashrc


#Compiling dsm-api
cd /home/scientist/dss/
git clone git://gitorious.digitalstrom.org/ds485-stack/ds485-core.git
cd /home/scientist/dss/ds485-core
git checkout testing
cmake -DCMAKE_INSTALL_PREFIX=/home/scientist/dss/libdsm
make
make install
cd ..

cd /home/scientist/dss/
git clone git://gitorious.digitalstrom.org/ds485-stack/ds485d.git
cd /home/scientist/dss/ds485d
git checkout testing
cmake -DCMAKE_INSTALL_PREFIX=/home/scientist/dss/libdsm
make
make install
cd ..

cd /home/scientist/dss/
git clone git://gitorious.digitalstrom.org/ds485-stack/ds485-client.git
cd /home/scientist/dss/ds485-client
git checkout testing
cmake -DCMAKE_INSTALL_PREFIX=/home/scientist/dss/libdsm
make
make install
cd ..

cd /home/scientist/dss/
git clone git://gitorious.digitalstrom.org/ds485-stack/dsm-api.git
cd /home/scientist/dss/dsm-api
git checkout testing
cmake -DCMAKE_INSTALL_PREFIX=/home/scientist/dss/libdsm
make
make install 
cd ..

#Compilling DSS 
cd /home/scientist/dss/
git clone git://gitorious.digitalstrom.org/dss/dss-mainline.git
cd /home/scientist/dss/dss-mainline
git submodule update --init
git format-patch origin/master

cmake -DLIBDSM_PREFIX=/home/scientist/dss/libdsm
#cmake -DWITH_DATADIR=data/			#default /usr/share/dss/data
#cmake -DWITH_TESTS=yes/			/home/scientist/#default YES 
#cmake -DWITH_SIM=yes/				/usr/local/share/dss/data/#default YES
#cmake -DCMAKE_BUILD_TYPE=Release/		#default Release
make
make install
make test

#websrc
#cd /home/scientist/dss/
#git clone git://gitorious.digitalstrom.org/dss-websrc/dss-websrc-mainline.git
#cd /home/scientist/dss/dss-websrc-mainline
#autoreconf -i
#./configure --prefix=/desired/prefix/path
#make 
#make install


#Configuring
cd /home/scientist/dss/dss-mainline/tools
./create_cert.sh
cp dsscert.pem /usr/local/share/dss/data/
cd ..

#Additional needful Stuff
cd /usr/local/share/dss/data/
mkdir webroot
chmod 777 webroot

#wget http://developer.digitalstrom.org/redmine/attachments/download/103/apartment.xml
#chmod 777 apartment.xmlcd /home/scientist/dss/dss-mainline/



#cd /home/scientist/dss/dss-mainline/

#./dss -w /home/scientist/dss/dss-websrc-mainline/					#websrc installed

#./dss																#whitout websrc


